
dir='./data/'
dataset_name="navier-stokes-dino"
same_grid=True
sub_from=4
sub_tr=$1
sub_te=$2
seq_inter_len=20
seq_extra_len=20
batch_size=32

epochs=10000
lr=0.001
weight_decay=0
gamma_step=0.75

depth=3
width=512

teacher_forcing_init=0.99
teacher_forcing_decay=0.99
teacher_forcing_update=10
inner_steps=3

w0=10
inr_batch_size=64
saved_checkpoint=False

grid_size=8
grid_base=32
share_grid=False
grid_sum=False
lr_grid=1e-2
lr_code=1e-1
meta_lr_code=0.1
seed=$3
sampling_ratio=$4
meta_same_grid=True

run_name='xxxxxxxx' # wandb_id_for_reconstruction_stage

python3 dynamics_modeling/train.py "optim.gamma_step=$gamma_step" "data.dir=$dir" "data.sub_from=$sub_from" "data.same_grid=$same_grid" "data.dataset_name=$dataset_name" "dynamics.width=$width" "dynamics.depth=$depth" "data.sub_tr=$sub_tr" "data.sub_te=$sub_te" "optim.epochs=$epochs" "data.seq_inter_len=$seq_inter_len" "data.seq_extra_len=$seq_extra_len" "optim.batch_size=$batch_size" "optim.lr=$lr"  "dynamics.teacher_forcing_update=$teacher_forcing_update" "inr.run_name=$run_name" "wandb.saved_checkpoint=$saved_checkpoint" 