
dir='./data/'
dataset_name='navier-stokes-dino'
model_type='siren_gridmix'  # using gridmix
same_grid=True
sub_from=4
sub_tr=$1  
sub_te=$2
seq_inter_len=20
seq_extra_len=20
batch_size=64
lr_inr=0.000005
epochs=10000
latent_dim=128
depth=4
w0=10
hidden_dim=128
saved_checkpoint=False
use_norm=False
modulate_scale=False
grid_size=8
grid_base=32
share_grid=False
grid_sum=False
lr_grid=1e-2
lr_code=1e-1
meta_lr_code=0.0
seed=$3
sampling_ratio=$4   # sampling ratio for spatial domain augmentation
launcher=''
port=29051


python3 inr/inr.py "optim.sampling_ratio=$sampling_ratio" "data.seed=$seed" "inr.w0=$w0" "optim.meta_lr_code=$meta_lr_code" "optim.lr_code=$lr_code" "inr.grid_sum=$grid_sum" "inr.share_grid=$share_grid" "inr.grid_base=$grid_base" "optim.lr_grid=$lr_grid" "inr.use_norm=$use_norm" "inr.grid_size=$grid_size" "inr.modulate_scale=$modulate_scale" "data.dir=$dir" "data.sub_from=$sub_from" "data.same_grid=$same_grid" "data.dataset_name=$dataset_name" "inr.model_type=$model_type" "data.seq_inter_len=$seq_inter_len" "data.seq_extra_len=$seq_extra_len" "data.sub_tr=$sub_tr" "data.sub_te=$sub_te" "optim.lr_inr=$lr_inr" "inr.depth=$depth" "inr.latent_dim=$latent_dim" "inr.hidden_dim=$hidden_dim" "optim.batch_size=$batch_size" "optim.epochs=$epochs" "wandb.saved_checkpoint=$saved_checkpoint" 